<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <title>Tada</title>
  <meta content="" name="description">
  <meta content="" name="keywords">
  <link href="{{url('public/download.png')}}" rel="icon" type="image/x-icon">
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/css/style.css" rel="stylesheet">
  <style>
     body {
      font-family: 'Open Sans', sans-serif;
      background-color: #f8f9fa;
    }

    main {
      display: flex;
      align-items: center;
      justify-content: center;
      height: 100vh;
    }

    .card {
      width: 100%;
      max-width: 500px;
      background: #fff;
      border-radius: 15px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
      overflow: hidden;
    }

    .card-body {
      padding: 2rem;
    }

    .btMainLogo {
      display: block;
      margin: 0 auto;
    }

    .primary-btn {
      height: 30px;
      width: 400px;
      border-color: none;
      background-color: #94BC3D;
      color: #fff;
      transition: background-color 0.3s ease;
    }

    .primary-btn:hover {
      background-color: #FFCB08;
    }
  </style>
</head>

<body>
  <main>
    <div class="card">
      <div class="card-body">
        @if (Session::get('logo'))
        <img class="mb-2 btMainLogo" alt="avatar1" src="{{ url('public/Image/'.Session::get('logo')) }}" height="100" width="120" data-hw="2.0642857142857">
        @else
        <i class="bi bi-person-circle" style="font-size: 50px;"></i>
        @endif

        @if ($message = Session::get('success'))
        <div class="alert alert-success" id="alert">
          <p>{{ $message }}</p>
        </div>
        @endif

        <h5 class="text-center pb-0 fs-4"><strong>Login to Your Account</storng></h5>

        <form action="{{url('/signed')}}" method="post" class="row g-3 needs-validation" novalidate>
          @csrf
          <div class="col-12">
            <label for="email" class="form-label">Your Email</label><br>
            <input type="email" name="email" class="form-control" id="email" required>
          </div>

          <div class="col-12">
            <label for="password" class="form-label">Password</label><br>
            <input type="password" name="password" class="form-control" id="password" required>
          </div>

          <div class="col-12">
            <button class="btn primary-btn w-100" type="submit">Register</button>
          </div>
        </form>
      </div>
    </div>
  </main>

  <!-- Add your JavaScript and other necessary scripts -->

</body>

</html>
