<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <title>Shubham Enterprises</title>
  <meta content="" name="description">
  <meta content="" name="keywords">
  <link href="<?php echo e(url('public/download.png')); ?>" rel="icon" type="image/x-icon">
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <!-- Include Bootstrap CSS -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css">

  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/css/style.css" rel="stylesheet">
  <style>
    body {
      font-family: 'Open Sans', sans-serif;
      background-color: #f8f9fa;
    }

    main {
      display: flex;
      align-items: center;
      justify-content: center;
      height: 100vh;
    }

    .card {
      width: 100%;
      max-width: 500px;
      background: #fff;
      border-radius: 15px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
      overflow: hidden;
    }

    .card-body {
      padding: 2rem;
    }

    .btMainLogo {
      display: block;
      margin: 0 auto;
    }

    .primary-btn {
      background-color: #004f6f;
      color: #fff;
      transition: background-color 0.3s ease;
    }

    .primary-btn:hover {
      background-color: #FFCB08;
    }
    .bg-image {
      background-image: url('assets/img/login-bg.jpg');
      background-size: cover;
      background-repeat: no-repeat;
      height: 100vh;
    }
  </style>
</head>

<body>
  <main class="bg-image">
    <div class="card">
      <div class="card-body">
        <img class="mb-2 btMainLogo" alt="avatar1" src="<?php echo e(url('public/ample-ebusiness-logo-new.png')); ?>" height="100" width="150">

        <?php if($message = Session::get('success')): ?>
        <div class="alert alert-success" id="alert">
          <p><?php echo e($message); ?></p>
        </div>
        <?php endif; ?>

        <form action="<?php echo e(url('/signed')); ?>" method="post" class="row g-3 needs-validation" novalidate>
          <?php echo csrf_field(); ?>
          <div class="col-12">
            <label for="email" class="form-label">Email</label>
            <input type="email" name="email" class="form-control" id="email" placeholder="Enter Email" required>
            <div class="invalid-feedback">Please enter a valid Email address!</div>
          </div>

          <div class="col-12">
            <label for="password" class="form-label">Password</label>
            <input type="password" name="password" class="form-control" id="password" placeholder="Enter Password" required>
            <div class="invalid-feedback">Please enter your password!</div>
          </div>

          <div class="col-12">
            <button class="btn primary-btn w-100" type="submit">Login</button>
          </div>

          <div class="row mt-2">
            <div class="col-6">
              <a href="<?php echo e(route('forget.password.get')); ?>">
                <label class="form-check-label">Forget Password</label>
              </a>
            </div>
            
          </div>
        </form>
      </div>
    </div>
  </main>


 
</body>

</html>

<script type="text/javascript">
  
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js"></script>
</script>



<?php /**PATH /home/vinecork/public_html/webdev/spingame/resources/views/frontend/pages-login.blade.php ENDPATH**/ ?>